Subject: bug#32201: 27.0.50; setenv should not change match-data

From: Noam Postavsky <[email-masked]>
Date: Wed, 18 Jul 2018 21:56:49 -0400

John Shahid <[email-masked]> writes:

>> Anyway, I don't think setenv should be changed, rather
>> abbreviate-file-name should save-match-data around the expand-file-name
>> call.  After all, today you happened to use setenv in a hook, tomorrow
>> someone will use another match-data modifying function.
>
> I agree, but I also think that there is no reason for `setenv' to use
> `string-match' instead of `string-match-p'.  It doesn't seem to be using
> the match data anyway.  I attached the patch that replaces
> `string-match' with `string-match-p' in `setenv' and `setenv-internal'.
> WDYT ?

Seems harmless enough.  I'll wait a couple of days, and then push my
abbreviate-file-name patch to emacs-26 and this patch to master.